module Feature.Sharing.Types where

import Data.Map.Strict (Map)
import Data.Typeable   (Typeable)
import GHC.Generics

import Database.SQLite.Simple
import Database.SQLite.Simple.FromRow

import qualified Data.Text as T

data SecretEntry = SecretEntry 
 { link   :: T.Text 
 , secret :: T.Text 
 , date   :: Integer
 } deriving (Show, Generic)

instance FromRow SecretEntry where
instance ToRow SecretEntry where
